
;//    SQLite3.dll
;//   : FASM\INCLUDE\EQUATES
;//**********************************************************

;//  
;//************************
SQLITE_OK          = 0x00    ;//   
SQLITE_ERROR       = 0x01    ;//      
SQLITE_INTERNAL    = 0x02    ;//   
SQLITE_PERM        = 0x03    ;//    
SQLITE_ABORT       = 0x04    ;//      
SQLITE_BUSY        = 0x05    ;//     
SQLITE_LOCKED      = 0x06    ;//      
SQLITE_NOMEM       = 0x07    ;//  malloc() 
SQLITE_READONLY    = 0x08    ;//         
SQLITE_INTERRUPT   = 0x09    ;//   sqlite3_interrupt() 
SQLITE_IOERR       = 0x0A    ;//    - 
SQLITE_CORRUPT     = 0x0B    ;//      
SQLITE_NOTFOUND    = 0x0C    ;//     sqlite3_file_control() 
SQLITE_FULL        = 0x0D    ;//   ,      
SQLITE_CANTOPEN    = 0x0E    ;//      
SQLITE_PROTOCOL    = 0x0F    ;//      
SQLITE_EMPTY       = 0x10    ;//    
SQLITE_SCHEMA      = 0x11    ;//     
SQLITE_TOOBIG      = 0x12    ;//   BLOB     
SQLITE_CONSTRAINT  = 0x13    ;//  -   
SQLITE_MISMATCH    = 0x14    ;//    
SQLITE_MISUSE      = 0x15    ;//    
SQLITE_NOLFS       = 0x16    ;//   ,     
SQLITE_AUTH        = 0x17    ;//    
SQLITE_FORMAT      = 0x18    ;//      
SQLITE_RANGE       = 0x19    ;// 2-  sqlite3_bind    
SQLITE_NOTADB      = 0x1A    ;//  ,      
SQLITE_ROW         = 0x64    ;// sqlite3_step()     
SQLITE_DONE        = 0x65    ;// sqlite3_step()   

;//     ,
;//  (3)  sqlite3_open_v2()
;//************************************************
SQLITE_OPEN_READONLY        = 0x0001
SQLITE_OPEN_READWRITE       = 0x0002
SQLITE_OPEN_CREATE          = 0x0004
SQLITE_OPEN_DELETEONCLOSE   = 0x0008
SQLITE_OPEN_EXCLUSIVE       = 0x0010
SQLITE_OPEN_AUTOPROXY       = 0x0020
SQLITE_OPEN_URI             = 0x0040
SQLITE_OPEN_MAIN_DB         = 0x0100
SQLITE_OPEN_TEMP_DB         = 0x0200
SQLITE_OPEN_TRANSIENT_DB    = 0x0400
SQLITE_OPEN_MAIN_JOURNAL    = 0x0800
SQLITE_OPEN_TEMP_JOURNAL    = 0x1000
SQLITE_OPEN_SUBJOURNAL      = 0x2000
SQLITE_OPEN_MASTER_JOURNAL  = 0x4000
SQLITE_OPEN_NOMUTEX         = 0x8000
SQLITE_OPEN_FULLMUTEX       = 0x10000
SQLITE_OPEN_SHAREDCACHE     = 0x20000
SQLITE_OPEN_PRIVATECACHE    = 0x40000
SQLITE_OPEN_WAL             = 0x80000

;//    
;//***************************
SQLITE_ACCESS_EXISTS    = 0
SQLITE_ACCESS_READWRITE = 1
SQLITE_ACCESS_READ      = 2

;//  
;//***************************
SQLITE_SHM_UNLOCK    = 1
SQLITE_SHM_LOCK      = 2
SQLITE_SHM_SHARED    = 4
SQLITE_SHM_EXCLUSIVE = 8

;//  
;//***************************
SQLITE_CONFIG_SINGLETHREAD = 1
SQLITE_CONFIG_MULTITHREAD  = 2
SQLITE_CONFIG_SERIALIZED   = 3
SQLITE_CONFIG_MALLOC       = 4
SQLITE_CONFIG_GETMALLOC    = 5
SQLITE_CONFIG_SCRATCH      = 6
SQLITE_CONFIG_PAGECACHE    = 7
SQLITE_CONFIG_HEAP         = 8
SQLITE_CONFIG_MEMSTATUS    = 9
SQLITE_CONFIG_MUTEX        = 10
SQLITE_CONFIG_GETMUTEX     = 11
SQLITE_CONFIG_CHUNKALLOC   = 12
SQLITE_CONFIG_LOOKASIDE    = 13
SQLITE_CONFIG_PCACHE       = 14
SQLITE_CONFIG_GETPCACHE    = 15
SQLITE_CONFIG_LOG          = 16
SQLITE_CONFIG_URI          = 17

;//   : sqlite3_set_authorizer()
;//********************************************************
SQLITE_COPY                = 0   ;//     
SQLITE_CREATE_INDEX        = 1   ;//      
SQLITE_CREATE_TABLE        = 2   ;//    NULL 
SQLITE_CREATE_TEMP_INDEX   = 3   ;//      
SQLITE_CREATE_TEMP_TABLE   = 4   ;//    NULL 
SQLITE_CREATE_TEMP_TRIGGER = 5   ;//      
SQLITE_CREATE_TEMP_VIEW    = 6   ;//    NULL 
SQLITE_CREATE_TRIGGER      = 7   ;//      
SQLITE_CREATE_VIEW         = 8   ;//    NULL 
SQLITE_DELETE              = 9   ;//    NULL 
SQLITE_DROP_INDEX          = 10  ;//      
SQLITE_DROP_TABLE          = 11  ;//    NULL 
SQLITE_DROP_TEMP_INDEX     = 12  ;//      
SQLITE_DROP_TEMP_TABLE     = 13  ;//    NULL 
SQLITE_DROP_TEMP_TRIGGER   = 14  ;//      
SQLITE_DROP_TEMP_VIEW      = 15  ;//    NULL 
SQLITE_DROP_TRIGGER        = 16  ;//      
SQLITE_DROP_VIEW           = 17  ;//    NULL 
SQLITE_INSERT              = 18  ;//    NULL 
SQLITE_PRAGMA              = 19  ;//       NULL 
SQLITE_READ                = 20  ;//      
SQLITE_SELECT              = 21  ;//  NULL NULL 
SQLITE_TRANSACTION         = 22  ;//   NULL 
SQLITE_UPDATE              = 23  ;//      
SQLITE_ATTACH              = 24  ;//    NULL 
SQLITE_DETACH              = 25  ;//     NULL 
SQLITE_ALTER_TABLE         = 26  ;//       
SQLITE_REINDEX             = 27  ;//    NULL 
SQLITE_ANALYZE             = 28  ;//    NULL 
SQLITE_CREATE_VTABLE       = 29  ;//      
SQLITE_DROP_VTABLE         = 30  ;//      
SQLITE_FUNCTION            = 31  ;//  NULL   
SQLITE_SAVEPOINT           = 32  ;//      

;//    Type
;//***************************
SQLITE_INTEGER  = 1
SQLITE_FLOAT    = 2
SQLITE_TEXT     = 3
SQLITE_BLOB     = 4
SQLITE_NULL     = 5

;//  
;//*************************

struct SQLITE_HEADER          ;// <----------- https://sqlite.org/fileformat2.html
  Magic            dq  0,0    ;//  "SQLite format 3"
  PageSize         dw  0      ;//    
  WriteWAL         db  0      ;//    : 1 = , 2 = WAL
  ReadWAL          db  0      ;//    : 1 = , 2 = WAL
  PageReserved     db  0      ;//   
  Reserved1        db  0,0,0  ;// 
  WriteCount       dd  0      ;// - 
  TotalPage        dd  0      ;//     +1
  FreePageOffset   dd  0      ;//    
  TotalFreePage    dd  0      ;//  
  CookieFile       dd  0      ;// ...(   )
  SchemeFormat     dd  0      ;//   
  CachePageSize    dd  0      ;//   
  VacuumRootPage   dd  0      ;//   
  BaseCP           dd  0      ;// : 1=UTF8, 2=UTF16_le, 3=UTF16_be (big-endian)
  Reserved2        dd  0      ;// 
  IncVacuum        dd  0      ;//    =1,   =0
  AppId            dd  0      ;// ID 
  Reserved4        db  20 dup(0)
  SqliteVer        dd  0      ;// 
  SqliteVerNum     dd  0      ;// 
ends

struct DATA_BLOB
  dataSize       dd  0  ;//  
  pData          dd  0  ;//    
ends


;// end of file

